[pacman-dev] [PATCH] makepkg: simplify source archive generation

Allan McRae allan at archlinux.org
Sun Jan 8 06:52:31 EST 2012


Simplify the source tarball generation by unifying the handling of
local and remote files.  This also allows local files to be found
in $SRCDEST (FS#26580) and makepkg will abort on missing local source
files (only possible to trigger in combination with --skipinteg).

Signed-off-by: Allan McRae <allan at archlinux.org>
---
 scripts/makepkg.sh.in |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 769bec7..b06c78a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1348,11 +1348,9 @@ create_srcpackage() {
 
 	local file
 	for file in "${source[@]}"; do
-		if [[ -f $file ]]; then
-			msg2 "$(gettext "Adding %s...")" "$file"
-			ln -s "${startdir}/$file" "$srclinks/$pkgbase"
-		elif (( SOURCEONLY == 2 )); then
-			local absfile=$(get_filepath "$file") || missing_source_file "$file"
+		if [[ "$file" == $(get_filename "$file") ]] || (( SOURCEONLY == 2 )); then
+			local absfile
+			absfile=$(get_filepath "$file") || missing_source_file "$file"
 			msg2 "$(gettext "Adding %s...")" "${absfile##*/}"
 			ln -s "$absfile" "$srclinks/$pkgbase"
 		fi
-- 
1.7.8.1



More information about the pacman-dev mailing list